Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.result
Class SerializerImpl

    java.lang.Object
      com.novell.xsl.result.SerializerImpl

All Implemented Interfaces:
  Serializer

Direct Known Subclasses:
  TextSerializer, XMLSerializer

    public abstract class SerializerImpl

extends Object
implements Serializer

Base implementation for Serializer implementations

Field Summary
`protected String` | `actualEncoding`
`protected SerializerOptions` | `options`
`protected OutputStream` | `stream`
`protected Writer` | `writer`

Constructor Summary
`SerializerImpl()`

Method Summary
`SerializerOptions` | `getOptions()` Get the options currently in effect for this serializer
`OutputStream` | `getStream()` Return the stream to which the serializer is writing the output bytes.
`protected void` | `initWriter()` Create the Writer object to which to write the serialized characters
`void` | `noTextEscaping(boolean noEscape)` Tell Serializer to do no text escaping
`void` | `setOptions(SerializerOptions options)` Set the options for this serializer
`void` | `setStream(OutputStream stream)` Set the output stream to which the serializer will write the bytes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### options

    protected SerializerOptions options

### writer

    protected Writer writer

### stream

    protected OutputStream stream

### actualEncoding

    protected String actualEncoding

Constructor Detail

### SerializerImpl

    public SerializerImpl()

Method Detail

### getOptions

    public SerializerOptions getOptions()

  Get the options currently in effect for this serializer

  Specified by:
    `getOptions` in interface `Serializer`
  Returns:
    The options object for this serializer

### setOptions

    public void setOptions(SerializerOptions options)

  Set the options for this serializer

  Specified by:
    `setOptions` in interface `Serializer`
  Parameters:
    `options` - The options object for this serializer

### getStream

    public OutputStream getStream()

  Return the stream to which the serializer is writing the output bytes.

  Specified by:
    `getStream` in interface `Serializer`
  Returns:
    The output stream

### setStream

    public void setStream(OutputStream stream)

  Set the output stream to which the serializer will write the bytes

  Specified by:
    `setStream` in interface `Serializer`
  Parameters:
    `stream` - The output stream

### noTextEscaping

    public void noTextEscaping(boolean noEscape)

  Tell Serializer to do no text escaping

  Specified by:
    `noTextEscaping` in interface `Serializer`
  Parameters:
    `noEscape` - True if no escaping should be performed, false if escaping should be performed

### initWriter

    protected void initWriter()
                       throws ResultException

  Create the Writer object to which to write the serialized characters

  Throws:
    `ResultException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD